#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    int n, m;
    cin >> n >> m;
    vector<int> druzeljubivost(n);
    long long prijateljstvo = 0;
    for(int i = 0; i < n; i++){
        cin >> druzeljubivost[i];
    }
    for(int i = 0; i < m; i++){
        int prvi, drugi;
        cin >> prvi >> drugi;
        long long mogucnost = max(druzeljubivost[prvi - 1] + druzeljubivost[drugi - 1], -1 * druzeljubivost[prvi - 1] + druzeljubivost[drugi - 1] * -1);
        prijateljstvo += mogucnost;
    }
    cout << prijateljstvo;
}